#!/usr/bin/env node

const program = require('commander')
const download = require('download-git-repo')

program.option('-v, --version', require('../package').version)

program
    .command('create <projectName>')
    .description("创建项目")
    .action(projectName => {
      download(
        'direct:https://gitee.com/wyuuu/wyu-vue.git',
        projectName,
        { clone: true },
        function (err) {
            console.info(err ? err : "Success!")
        }
      )
    })

program.parse(process.argv)
